## NMCheckpoint NMCheckpoint |

## Functions

const GPtrArray * | nm_checkpoint_get_devices ()
gint64 | nm_checkpoint_get_created ()
guint32 | nm_checkpoint_get_rollback_timeout ()

## Properties

gint64 | created | Read
GPtrArray * | devices | Read
guint | rollback-timeout | Read

## Types and Values

#define | NM_CHECKPOINT_DEVICES
#define | NM_CHECKPOINT_CREATED
#define | NM_CHECKPOINT_ROLLBACK_TIMEOUT
| NMCheckpoint

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMCheckpoint

## Description

## Functions

### nm_checkpoint_get_devices ()

    const GPtrArray *
    nm_checkpoint_get_devices (NMCheckpoint *checkpoint);

The devices that are part of this checkpoint.

#### Parameters

checkpoint | a NMCheckpoint |

#### Returns

the devices list.

[element-type NMDevice]

Since: 1.12

### nm_checkpoint_get_created ()

    gint64
    nm_checkpoint_get_created (NMCheckpoint *checkpoint);

Gets the timestamp (in CLOCK_BOOTTIME milliseconds) of checkpoint creation.

Use `nm_utils_get_timestamp_msec()` to obtain current time value suitable for comparing to this value.

#### Parameters

checkpoint | a NMCheckpoint |

#### Returns

the timestamp of checkpoint creation.

Since: 1.12

### nm_checkpoint_get_rollback_timeout ()

    guint32
    nm_checkpoint_get_rollback_timeout (NMCheckpoint *checkpoint);

Gets the timeout in seconds for automatic rollback.

#### Parameters

checkpoint | a NMCheckpoint |

#### Returns

the rollback timeout.

Since: 1.12

## Types and Values

### NM_CHECKPOINT_DEVICES

    #define NM_CHECKPOINT_DEVICES          "devices"

### NM_CHECKPOINT_CREATED

    #define NM_CHECKPOINT_CREATED          "created"

### NM_CHECKPOINT_ROLLBACK_TIMEOUT

    #define NM_CHECKPOINT_ROLLBACK_TIMEOUT "rollback-timeout"

### NMCheckpoint

    typedef struct _NMCheckpoint NMCheckpoint;

Since: 1.12

## Property Details

### The `“created”` property

      “created”                  gint64

The timestamp (in CLOCK_BOOTTIME milliseconds) of checkpoint creation.

Owner: NMCheckpoint

Flags: Read

Default value: 0

Since: 1.12

### The `“devices”` property

      “devices”                  GPtrArray *

The devices that are part of this checkpoint.

[type GPtrArray(NMDevice)]

Owner: NMCheckpoint

Flags: Read

Since: 1.12

### The `“rollback-timeout”` property

      “rollback-timeout”         guint

Timeout in seconds for automatic rollback, or zero.

Owner: NMCheckpoint

Flags: Read

Default value: 0

Since: 1.12